package com.webchat.ugc.controller;

import com.webchat.common.bean.APIResponseBean;
import com.webchat.common.bean.APIResponseBeanUtil;
import com.webchat.domain.vo.request.MomentSaveOrUpdateVO;
import com.webchat.rmi.ugc.MomentClient;
import com.webchat.ugc.service.moment.MomentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;


@RestController
public class MomentController implements MomentClient {


    @Autowired
    private MomentService momentService;

    @Override
    public APIResponseBean<Long> publish(@RequestBody MomentSaveOrUpdateVO momentSaveOrUpdate) {

        Long momentId = momentService.publish(momentSaveOrUpdate);
        return APIResponseBeanUtil.success(momentId);
    }
}
